DotsDocs
Payout batches

Retrieve a Payout Batch

Get a payout batch by its id including status and optional metadata

GET
/v2/payout-batches/{payout_batch_id}

Get a payout batch by its id including status and optional metadata

Authorization

api_key
headerAuthorizationBasic <token>

Path Parameters

payout_batch_id*string

Id of the payout batch to fetch

Formatuuid

Response Body

OK

application/json
  1. response

Basic payout batch response

id*string

Unique identifier for the payout batch.

Formatuuid
created*string

Timestamp when the batch was created.

Formatdate-time
idempotency_key?string

The idempotency key provided when creating the batch.

Formatuuid
status*string

Current status of the batch processing.

Value in"created""processing""paying_out""completed""failed"
metadata?|

The metadata attached to the batch.

Example Request
curl -X GET 'https://api.dots.dev/api/v2/payout-batches/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "created": "2019-08-24T14:15:22Z",  "idempotency_key": "0cd90e5a-2c03-4ab6-81a8-d48818026e58",  "status": "created",  "metadata": "string"}